source: projects/vine-manual-base/trunk/Makefile.in @ 4183

Revision 4183, 20.5 KB checked in by yasumichi, 13 years ago (diff)

web 用に リンク文字列を修正

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CSSURI = @CSSURI@
110CVSDATA = @CVSDATA@
111CYGPATH_W = @CYGPATH_W@
112DEFS = @DEFS@
113ECHO_C = @ECHO_C@
114ECHO_N = @ECHO_N@
115ECHO_T = @ECHO_T@
116IMAGEDIR = @IMAGEDIR@
117IMAGEURI = @IMAGEURI@
118INDEX = @INDEX@
119INSTALL = @INSTALL@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LIBOBJS = @LIBOBJS@
125LIBS = @LIBS@
126LTLIBOBJS = @LTLIBOBJS@
127MAKEINFO = @MAKEINFO@
128MKDIR_P = @MKDIR_P@
129MKTEMP = @MKTEMP@
130MODE = @MODE@
131PACKAGE = @PACKAGE@
132PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
133PACKAGE_NAME = @PACKAGE_NAME@
134PACKAGE_STRING = @PACKAGE_STRING@
135PACKAGE_TARNAME = @PACKAGE_TARNAME@
136PACKAGE_URL = @PACKAGE_URL@
137PACKAGE_VERSION = @PACKAGE_VERSION@
138PATH_SEPARATOR = @PATH_SEPARATOR@
139SET_MAKE = @SET_MAKE@
140SHELL = @SHELL@
141STRIP = @STRIP@
142TEMPLATE = @TEMPLATE@
143VERSION = @VERSION@
144VMDIR = @VMDIR@
145VMURI = @VMURI@
146abs_builddir = @abs_builddir@
147abs_srcdir = @abs_srcdir@
148abs_top_builddir = @abs_top_builddir@
149abs_top_srcdir = @abs_top_srcdir@
150am__leading_dot = @am__leading_dot@
151am__tar = @am__tar@
152am__untar = @am__untar@
153bindir = @bindir@
154build_alias = @build_alias@
155builddir = @builddir@
156datadir = @datadir@
157datarootdir = @datarootdir@
158docdir = @docdir@
159dvidir = @dvidir@
160exec_prefix = @exec_prefix@
161host_alias = @host_alias@
162htmldir = @htmldir@
163includedir = @includedir@
164infodir = @infodir@
165install_sh = @install_sh@
166libdir = @libdir@
167libexecdir = @libexecdir@
168localedir = @localedir@
169localstatedir = @localstatedir@
170mandir = @mandir@
171mkdir_p = @mkdir_p@
172oldincludedir = @oldincludedir@
173pdfdir = @pdfdir@
174prefix = @prefix@
175program_transform_name = @program_transform_name@
176psdir = @psdir@
177sbindir = @sbindir@
178sharedstatedir = @sharedstatedir@
179srcdir = @srcdir@
180sysconfdir = @sysconfdir@
181target_alias = @target_alias@
182top_build_prefix = @top_build_prefix@
183top_builddir = @top_builddir@
184top_srcdir = @top_srcdir@
185SUBDIRS = bin css data doc images
186EXTRA_DIST = vine-manual-base.spec.in
187all: all-recursive
188
189.SUFFIXES:
190am--refresh:
191        @:
192$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
193        @for dep in $?; do \
194          case '$(am__configure_deps)' in \
195            *$$dep*) \
196              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
197              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
198                && exit 0; \
199              exit 1;; \
200          esac; \
201        done; \
202        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
203        $(am__cd) $(top_srcdir) && \
204          $(AUTOMAKE) --gnu Makefile
205.PRECIOUS: Makefile
206Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
207        @case '$?' in \
208          *config.status*) \
209            echo ' $(SHELL) ./config.status'; \
210            $(SHELL) ./config.status;; \
211          *) \
212            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
213            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
214        esac;
215
216$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
217        $(SHELL) ./config.status --recheck
218
219$(top_srcdir)/configure:  $(am__configure_deps)
220        $(am__cd) $(srcdir) && $(AUTOCONF)
221$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
222        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
223$(am__aclocal_m4_deps):
224vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
225        cd $(top_builddir) && $(SHELL) ./config.status $@
226
227# This directory's subdirectories are mostly independent; you can cd
228# into them and run `make' without going through this Makefile.
229# To change the values of `make' variables: instead of editing Makefiles,
230# (1) if the variable is set in `config.status', edit `config.status'
231#     (which will cause the Makefiles to be regenerated when you run `make');
232# (2) otherwise, pass the desired values on the `make' command line.
233$(RECURSIVE_TARGETS):
234        @fail= failcom='exit 1'; \
235        for f in x $$MAKEFLAGS; do \
236          case $$f in \
237            *=* | --[!k]*);; \
238            *k*) failcom='fail=yes';; \
239          esac; \
240        done; \
241        dot_seen=no; \
242        target=`echo $@ | sed s/-recursive//`; \
243        list='$(SUBDIRS)'; for subdir in $$list; do \
244          echo "Making $$target in $$subdir"; \
245          if test "$$subdir" = "."; then \
246            dot_seen=yes; \
247            local_target="$$target-am"; \
248          else \
249            local_target="$$target"; \
250          fi; \
251          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
252          || eval $$failcom; \
253        done; \
254        if test "$$dot_seen" = "no"; then \
255          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
256        fi; test -z "$$fail"
257
258$(RECURSIVE_CLEAN_TARGETS):
259        @fail= failcom='exit 1'; \
260        for f in x $$MAKEFLAGS; do \
261          case $$f in \
262            *=* | --[!k]*);; \
263            *k*) failcom='fail=yes';; \
264          esac; \
265        done; \
266        dot_seen=no; \
267        case "$@" in \
268          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
269          *) list='$(SUBDIRS)' ;; \
270        esac; \
271        rev=''; for subdir in $$list; do \
272          if test "$$subdir" = "."; then :; else \
273            rev="$$subdir $$rev"; \
274          fi; \
275        done; \
276        rev="$$rev ."; \
277        target=`echo $@ | sed s/-recursive//`; \
278        for subdir in $$rev; do \
279          echo "Making $$target in $$subdir"; \
280          if test "$$subdir" = "."; then \
281            local_target="$$target-am"; \
282          else \
283            local_target="$$target"; \
284          fi; \
285          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
286          || eval $$failcom; \
287        done && test -z "$$fail"
288tags-recursive:
289        list='$(SUBDIRS)'; for subdir in $$list; do \
290          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
291        done
292ctags-recursive:
293        list='$(SUBDIRS)'; for subdir in $$list; do \
294          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
295        done
296
297ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
298        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
299        unique=`for i in $$list; do \
300            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
301          done | \
302          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
303              END { if (nonempty) { for (i in files) print i; }; }'`; \
304        mkid -fID $$unique
305tags: TAGS
306
307TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
308                $(TAGS_FILES) $(LISP)
309        set x; \
310        here=`pwd`; \
311        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
312          include_option=--etags-include; \
313          empty_fix=.; \
314        else \
315          include_option=--include; \
316          empty_fix=; \
317        fi; \
318        list='$(SUBDIRS)'; for subdir in $$list; do \
319          if test "$$subdir" = .; then :; else \
320            test ! -f $$subdir/TAGS || \
321              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
322          fi; \
323        done; \
324        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
325        unique=`for i in $$list; do \
326            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
327          done | \
328          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
329              END { if (nonempty) { for (i in files) print i; }; }'`; \
330        shift; \
331        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
332          test -n "$$unique" || unique=$$empty_fix; \
333          if test $$# -gt 0; then \
334            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
335              "$$@" $$unique; \
336          else \
337            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
338              $$unique; \
339          fi; \
340        fi
341ctags: CTAGS
342CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
343                $(TAGS_FILES) $(LISP)
344        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
345        unique=`for i in $$list; do \
346            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347          done | \
348          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
349              END { if (nonempty) { for (i in files) print i; }; }'`; \
350        test -z "$(CTAGS_ARGS)$$unique" \
351          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
352             $$unique
353
354GTAGS:
355        here=`$(am__cd) $(top_builddir) && pwd` \
356          && $(am__cd) $(top_srcdir) \
357          && gtags -i $(GTAGS_ARGS) "$$here"
358
359distclean-tags:
360        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
361
362distdir: $(DISTFILES)
363        $(am__remove_distdir)
364        test -d "$(distdir)" || mkdir "$(distdir)"
365        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
366        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
367        list='$(DISTFILES)'; \
368          dist_files=`for file in $$list; do echo $$file; done | \
369          sed -e "s|^$$srcdirstrip/||;t" \
370              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
371        case $$dist_files in \
372          */*) $(MKDIR_P) `echo "$$dist_files" | \
373                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
374                           sort -u` ;; \
375        esac; \
376        for file in $$dist_files; do \
377          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
378          if test -d $$d/$$file; then \
379            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
380            if test -d "$(distdir)/$$file"; then \
381              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
382            fi; \
383            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
384              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
385              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
386            fi; \
387            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
388          else \
389            test -f "$(distdir)/$$file" \
390            || cp -p $$d/$$file "$(distdir)/$$file" \
391            || exit 1; \
392          fi; \
393        done
394        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
395          if test "$$subdir" = .; then :; else \
396            test -d "$(distdir)/$$subdir" \
397            || $(MKDIR_P) "$(distdir)/$$subdir" \
398            || exit 1; \
399          fi; \
400        done
401        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
402          if test "$$subdir" = .; then :; else \
403            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
404            $(am__relativize); \
405            new_distdir=$$reldir; \
406            dir1=$$subdir; dir2="$(top_distdir)"; \
407            $(am__relativize); \
408            new_top_distdir=$$reldir; \
409            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
410            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
411            ($(am__cd) $$subdir && \
412              $(MAKE) $(AM_MAKEFLAGS) \
413                top_distdir="$$new_top_distdir" \
414                distdir="$$new_distdir" \
415                am__remove_distdir=: \
416                am__skip_length_check=: \
417                am__skip_mode_fix=: \
418                distdir) \
419              || exit 1; \
420          fi; \
421        done
422        -test -n "$(am__skip_mode_fix)" \
423        || find "$(distdir)" -type d ! -perm -755 \
424                -exec chmod u+rwx,go+rx {} \; -o \
425          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
426          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
427          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
428        || chmod -R a+r "$(distdir)"
429dist-gzip: distdir
430        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
431        $(am__remove_distdir)
432dist-bzip2: distdir
433        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
434        $(am__remove_distdir)
435
436dist-lzma: distdir
437        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
438        $(am__remove_distdir)
439
440dist-xz: distdir
441        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
442        $(am__remove_distdir)
443
444dist-tarZ: distdir
445        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
446        $(am__remove_distdir)
447
448dist-shar: distdir
449        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
450        $(am__remove_distdir)
451
452dist-zip: distdir
453        -rm -f $(distdir).zip
454        zip -rq $(distdir).zip $(distdir)
455        $(am__remove_distdir)
456
457dist dist-all: distdir
458        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
459        $(am__remove_distdir)
460
461# This target untars the dist file and tries a VPATH configuration.  Then
462# it guarantees that the distribution is self-contained by making another
463# tarfile.
464distcheck: dist
465        case '$(DIST_ARCHIVES)' in \
466        *.tar.gz*) \
467          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
468        *.tar.bz2*) \
469          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
470        *.tar.lzma*) \
471          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
472        *.tar.xz*) \
473          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
474        *.tar.Z*) \
475          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
476        *.shar.gz*) \
477          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
478        *.zip*) \
479          unzip $(distdir).zip ;;\
480        esac
481        chmod -R a-w $(distdir); chmod a+w $(distdir)
482        mkdir $(distdir)/_build
483        mkdir $(distdir)/_inst
484        chmod a-w $(distdir)
485        test -d $(distdir)/_build || exit 0; \
486        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
487          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
488          && am__cwd=`pwd` \
489          && $(am__cd) $(distdir)/_build \
490          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
491            $(DISTCHECK_CONFIGURE_FLAGS) \
492          && $(MAKE) $(AM_MAKEFLAGS) \
493          && $(MAKE) $(AM_MAKEFLAGS) dvi \
494          && $(MAKE) $(AM_MAKEFLAGS) check \
495          && $(MAKE) $(AM_MAKEFLAGS) install \
496          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
497          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
498          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
499                distuninstallcheck \
500          && chmod -R a-w "$$dc_install_base" \
501          && ({ \
502               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
503               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
504               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
505               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
506                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
507              } || { rm -rf "$$dc_destdir"; exit 1; }) \
508          && rm -rf "$$dc_destdir" \
509          && $(MAKE) $(AM_MAKEFLAGS) dist \
510          && rm -rf $(DIST_ARCHIVES) \
511          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
512          && cd "$$am__cwd" \
513          || exit 1
514        $(am__remove_distdir)
515        @(echo "$(distdir) archives ready for distribution: "; \
516          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
517          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
518distuninstallcheck:
519        @$(am__cd) '$(distuninstallcheck_dir)' \
520        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
521           || { echo "ERROR: files left after uninstall:" ; \
522                if test -n "$(DESTDIR)"; then \
523                  echo "  (check DESTDIR support)"; \
524                fi ; \
525                $(distuninstallcheck_listfiles) ; \
526                exit 1; } >&2
527distcleancheck: distclean
528        @if test '$(srcdir)' = . ; then \
529          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
530          exit 1 ; \
531        fi
532        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
533          || { echo "ERROR: files left in build directory after distclean:" ; \
534               $(distcleancheck_listfiles) ; \
535               exit 1; } >&2
536check-am: all-am
537check: check-recursive
538all-am: Makefile
539installdirs: installdirs-recursive
540installdirs-am:
541install: install-recursive
542install-exec: install-exec-recursive
543install-data: install-data-recursive
544uninstall: uninstall-recursive
545
546install-am: all-am
547        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
548
549installcheck: installcheck-recursive
550install-strip:
551        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
552          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
553          `test -z '$(STRIP)' || \
554            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
555mostlyclean-generic:
556
557clean-generic:
558
559distclean-generic:
560        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
561        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
562
563maintainer-clean-generic:
564        @echo "This command is intended for maintainers to use"
565        @echo "it deletes files that may require special tools to rebuild."
566clean: clean-recursive
567
568clean-am: clean-generic mostlyclean-am
569
570distclean: distclean-recursive
571        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
572        -rm -f Makefile
573distclean-am: clean-am distclean-generic distclean-tags
574
575dvi: dvi-recursive
576
577dvi-am:
578
579html: html-recursive
580
581html-am:
582
583info: info-recursive
584
585info-am:
586
587install-data-am:
588
589install-dvi: install-dvi-recursive
590
591install-dvi-am:
592
593install-exec-am:
594
595install-html: install-html-recursive
596
597install-html-am:
598
599install-info: install-info-recursive
600
601install-info-am:
602
603install-man:
604
605install-pdf: install-pdf-recursive
606
607install-pdf-am:
608
609install-ps: install-ps-recursive
610
611install-ps-am:
612
613installcheck-am:
614
615maintainer-clean: maintainer-clean-recursive
616        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
617        -rm -rf $(top_srcdir)/autom4te.cache
618        -rm -f Makefile
619maintainer-clean-am: distclean-am maintainer-clean-generic
620
621mostlyclean: mostlyclean-recursive
622
623mostlyclean-am: mostlyclean-generic
624
625pdf: pdf-recursive
626
627pdf-am:
628
629ps: ps-recursive
630
631ps-am:
632
633uninstall-am:
634
635.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
636        install-am install-strip tags-recursive
637
638.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
639        all all-am am--refresh check check-am clean clean-generic \
640        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
641        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
642        distclean distclean-generic distclean-tags distcleancheck \
643        distdir distuninstallcheck dvi dvi-am html html-am info \
644        info-am install install-am install-data install-data-am \
645        install-dvi install-dvi-am install-exec install-exec-am \
646        install-html install-html-am install-info install-info-am \
647        install-man install-pdf install-pdf-am install-ps \
648        install-ps-am install-strip installcheck installcheck-am \
649        installdirs installdirs-am maintainer-clean \
650        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
651        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
652
653
654# Tell versions [3.59,3.63) of GNU make to not export all variables.
655# Otherwise a system limit (for SysV at least) may be exceeded.
656.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.